<template lang="pug">
.row.x-materials
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    BaseCard.highlightOnFocus(title='Search' tabindex='-1'
                              @keydown.enter.native.stop='doSearch')
      li(key='0')
        .row.b-param-container
          BaseParamInput.col-12(ref='element' :inEdit='true')
            template(v-slot:title)
              strong Element
              span.badge.bg-light.text-muted.float-right.align-self-center.shadow-sm(title='use * or ? wildcards') glob
          BaseParamInput.col-12.col-sm-6(ref='massNumber' type='number' :inEdit='true' title='Mass Number')
          BaseParamInput.col-12.col-sm-6(ref='atomicNumber' type='number' :inEdit='true' title='Atomic Number')
        .row.no-gutters.mt-1
          button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Search
  .col-12.col-xl-9(key='results')
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading" key='loader')
              i.align-bottom.fa.fa-spinner.fa-pulse
            .btn-group.btn-group-sm.shadow-sm.border.rounded(v-else key='btns' role='group')
              button.btn.x-sample(:class='typeButtonClass("sample")' @click='setType("sample")' type='button') Samples
              button.btn.x-filter(:class='typeButtonClass("filter")' @click='setType("filter")' type='button') Filters
              button.btn.x-source(:class='typeButtonClass("source")' @click='setType("source")' type='button') Sources
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            router-link.btn.btn-outline-danger.ml-1.x-admin(v-if='!isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
              i.fa.fa-key
            button.btn.btn-primary.ml-1.x-add(v-if='isAdmin' @click="doAdd()" title='Add Material')
              i.fa.fa-plus-square
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th.text-center #
              th Element
              th Title
              th.text-center.d-md-table-cell.d-none(v-if='isAdmin') Status
          tbody
            router-link(:key='m.id' v-for='m in rows' tag='tr'
                        :to='{ path: m.id.toString() }' append='').clickable
              td.text-center {{ m.id }}
              td
                sup(v-if='m.massNumber > 0') {{ m.massNumber }}
                sub(v-if='m.atomicNumber > 0') {{ m.atomicNumber }}
                | {{ m.compound }}
              td {{ m.title }}
              td.text-center.d-md-table-cell.d-none(v-if='isAdmin')
                .fa.fa-check(v-if='m.status')
                .fa.fa-times(v-else)
    AddMaterialDialog(ref='addDialog' :type='type')
</template>
<script>
export { default } from './Materials.vue.js';
</script>
